`lqr_carver_get_orientation`
Prev | Carver objects | Next

## Name

lqr_carver_get_orientation — get the orientation of a `LqrCarver` object

## Synopsis

    #include <lqr.h>

`gint lqr_carver_get_orientation(` | LqrCarver* carver`)`;

## Description

The function `lqr_carver_get_orientation` returns the current orientation of the visibility map internal to the `LqrCarver` object pointed to by `carver`, which is `0` if the last rescale operation has been in the horizontal direction, `1` if it has been in the vertical direction.

## See also

`lqr_carver_get_width`(3), `lqr_carver_get_height`(3), `lqr_carver_get_ref_width`(3), `lqr_carver_get_ref_height`(3), `lqr_carver_get_channels`(3), `lqr_carver_get_col_depth`(3), `lqr_carver_set_enl_step`(3), `lqr_carver_resize`(3), `lqr_carver_get_enl_step`(3), `lqr_vmap_get_orientation`(3)

Prev | Up | Next
`lqr_carver_get_enl_step` | Home | `lqr_carver_get_depth`